package com.salpa.subject.domain;

import com.salpa.subject.domain.data.DocumentTemplatePropertyType;

import java.time.LocalDateTime;

/**
 * monitor_document_template_property 文档模板属性
 *
 * @author zhuff
 */
public class MonitorDocumentTemplateProperty {

    private Integer id;

    private String key;

    private String value;

    private String defaultValue;

    private DocumentTemplatePropertyType type;

    private LocalDateTime createAt;

    public MonitorDocumentTemplateProperty() {}

    public MonitorDocumentTemplateProperty(MonitorDocumentTemplateProperty value) {
        this.id = value.id;
        this.key = value.key;
        this.value = value.value;
        this.defaultValue = value.defaultValue;
        this.type = value.type;
        this.createAt = value.createAt;
    }

    public MonitorDocumentTemplateProperty(
            Integer                      id,
            String                       key,
            String                       value,
            String                       defaultValue,
            DocumentTemplatePropertyType type,
            LocalDateTime                createAt
    ) {
        this.id = id;
        this.key = key;
        this.value = value;
        this.defaultValue = defaultValue;
        this.type = type;
        this.createAt = createAt;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public DocumentTemplatePropertyType getType() {
        return type;
    }

    public void setType(DocumentTemplatePropertyType type) {
        this.type = type;
    }

    public LocalDateTime getCreateAt() {
        return createAt;
    }

    public void setCreateAt(LocalDateTime createAt) {
        this.createAt = createAt;
    }
}
